"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _transitionIn = require("./transition-in");

var _default = (0, _transitionIn.transitionIn)(({
  firstRender,
  percentage,
  color = 'dark-green'
}) => (0, _preact.h)("div", {
  className: "relative overflow-hidden br-pill ba b--gray bg-near-white shadow-3"
}, (0, _preact.h)("div", {
  className: "h1 w-100 absolute br-pill bg-".concat(color, " transition"),
  style: {
    transform: "translateX(-".concat(100 - Math.max(firstRender ? 0 : percentage * 100, 1), "%)")
  }
}), (0, _preact.h)("div", {
  className: "h1"
})));

exports.default = _default;